#NoTrayIcon
#include <ComboConstants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>

#include "ComboAutoFill.au3"

Global $__g_aItems1 = StringSplit("salut,la,compagnie,je,m'appel,matwachich,et,ceci,est,un,test,de,mon,nouveau,comboBox,interactif,et voici enfin un item super long pour voir le comportement du listBox,en,suite,je,continue,la,longue,liste,d'items,qui,vont,remplir,le,comboBox,pour,tester,son,comportement,avec,de,grosses,listes", ",")
Global $__g_aItems2 = StringSplit("Ceci,est,la,2,e,liste,de,valeurs,possibles,pour,le,2,e,comboBox", ",")

#Region ### START Koda GUI section ###
$hGUI = GUICreate("Example", 458, 98)
$iCombo1 = GUICtrlCreateCombo("", 80, 16, 201, 25, BitOR($CBS_DROPDOWN,$CBS_AUTOHSCROLL,$WS_VSCROLL))
	GUICtrlSetFont(-1, 12, 400, 0, "Cambria")
$iCombo2 = GUICtrlCreateCombo("", 80, 56, 201, 25, BitOR($CBS_DROPDOWN,$CBS_AUTOHSCROLL,$WS_VSCROLL))
	GUICtrlSetFont(-1, 12, 400, 0, "Cambria")
$Check1 = GUICtrlCreateCheckbox("Active", 304, 20, 97, 17)
	GUICtrlSetFont(-1, 12, 400, 0, "Cambria")
	GUICtrlSetState(-1, $GUI_CHECKED)
$Check2 = GUICtrlCreateCheckbox("Active", 304, 60, 97, 17)
	GUICtrlSetFont(-1, 12, 400, 0, "Cambria")
	GUICtrlSetState(-1, $GUI_CHECKED)
GUISetState(@SW_SHOW)
#EndRegion ### END Koda GUI section ###

Local $AdvCombo1 = _ComboAutoFill_Create($hGUI, $iCombo1, "_FillFunc")
Local $AdvCombo2 = _ComboAutoFill_Create($hGUI, $iCombo2, "_FillFunc", 15, 0)

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $Check1
			If GUICtrlRead($Check1) = $GUI_CHECKED Then
				_ComboAutoFill_SetActive($AdvCombo1, 1)
			Else
				_ComboAutoFill_SetActive($AdvCombo1, 0)
			EndIf
		Case $Check2
			If GUICtrlRead($Check2) = $GUI_CHECKED Then
				_ComboAutoFill_SetActive($AdvCombo2, 1)
			Else
				_ComboAutoFill_SetActive($AdvCombo2, 0)
			EndIf
	EndSwitch
WEnd

Func _FillFunc($iComboID, $sSearch, $iPartial)
	Local $aItems = Eval('__g_aItems' & $iComboID) ; on selectionne la liste  prendre en compte selon le comboBox
	; ---
	Local $aRet[1] = [0]
	For $i = 1 To $aItems[0]
		If _
			Not $sSearch Or _ ; Rien  rechercher, donc on prend tout
			($iPartial And StringInStr($aItems[$i], $sSearch)) Or _ ; recherche partielle
			(Not $iPartial And StringLeft($aItems[$i], StringLen($sSearch)) = $sSearch) _ ; recherche prcise (du dbut de l'item)
		Then
			ReDim $aRet[$aRet[0] + 2]
			$aRet[0] += 1
			$aRet[$aRet[0]] = $aItems[$i]
		EndIf
	Next
	Return $aRet
EndFunc
